Subject: [netatalk-admins] Solaris question

From: John Barry <[email-masked]>
Date: Wed, 28 Apr 1999 10:51:33 +0200 (MET DST)

Hi,

Totally off-topic...

I'm trying to compile gdb-4.17 on Solaris 2.6

and I'm getting this:

libbfd.c: In function `bfd_stat':
libbfd.c:598: argument `statbuf' doesn't match prototype
bfd.h:475: prototype declaration

I know *why* it's doing it, (I'm compiling with -D_LARGEFILE_SOURCE 
-D_FILE_OFFSET_BITS=64 to comply with 2.6's 64bit file system)

What I don't know is how to correct the problem, (short of taking out the above
compile flags, obviously :) since the compile flags trigger the base system
includes to reconfigure 'statbuf', etc. as 64 bit and not 2.5.1's 32bit...

Ideas?

Privately please as it's not a netatalk related issue...

later
jb